APTITUDE(8)

NOM
aptitude - interface évoluée pour le gestionnaire de paquets

SYNOPSIS

aptitude [<options>...] {autoclean | clean | forget-new | keep-all | update | safe-upgrade}

aptitude [<options>...] {changelog | full-upgrade | download | forbid-version | hold | install | markauto | purge | reinstall | remove | show | unhold | unmarkauto | build-dep | build-depends} <packages>...

aptitude extract-cache-subset <output-directory> <packages>...

aptitude [<options>...] search <motifs>...

aptitude [<options>...] {add-user-tag | remove-user-tag} <tag> <packages>...

aptitude [<options>...] {why | why-not} [<patterns>...] <package>

aptitude [-S <fname>] [-u | -i]

aptitude help

DESCRIPTION

aptitude est une interface en mode texte pour le gestionnaire de paquets de Debian GNU/Linux.

Elle permet à l'utilisateur de connaître la liste des paquets et de réaliser des tâches d'administration comme l'installation, la mise à jour ou l'effacement de paquets. Ces tâches peuvent être réalisées en mode « interactif » ou à partir de la « ligne de commande ».

COMMANDES EN LIGNE DE COMMANDE

Le premier argument qui ne commence pas par un tiret (« - ») sera considéré comme étant la commande que le programme doit réaliser. Si aucune commande n'est donnée, aptitude démarrera en mode interactif.

Commandes disponibles :

install
    Install one or more packages. The packages should be listed after the « install » command; if a package name contains a tilde character (« ~ ») or a question mark (« ? »), it will be treated as a search pattern and every package matching the pattern will be installed (see the section « Search Patterns » in the aptitude reference manual).

    Pour sélectionner une version précise d'un paquet, ajoutez « =<version> » au nom du paquet : par exemple, « aptitude install apt=0.3.1 ». De la même façon, pour choisir un paquet d'une archive précise, ajoutez « /<archive> » au nom du paquet : par exemple, « aptitude install apt/experimental ».

    Tous les paquets listés sur la ligne de commande ne doivent pas nécessairement être installé. Vous pouvez dire à aptitude d'agir différemment avec un paquet en suffixant un « attribut de surcharge » au nom du paquet. Par exemple, aptitude remove wesnoth+ installera wesnoth au lieu de le supprimer. Les attributs de surcharge suivants sont disponibles :

    <paquet>+
        Installe <paquet>.

    <paquet>+M
        Installe <paquet> et le marque comme installé automatiquement (notez que si aucun autre paquet ne dépend de <paquet>, cela entraînera sa suppression immédiate).

    <paquet>-
        Supprime <paquet>.

    <paquet>_
        Purge <paquet> : supprime le paquet ainsi que tous ses fichiers de configuration.

    <paquet>=
        Marque <paquet> comme étant à conserver : annule toute action d'installation, de mise à jour ou de suppression, et empêche ce paquet d'être mis à jour automatiquement dans le futur.

    <paquet>:
        Garde <paquet> à sa version actuelle : annule toute action d'installation, de mise à jour ou de suppression. Contrairement à « hold » (voir ci-dessus), cela n'empêche pas ce paquet d'être mis à jour automatiquement dans le futur.

    <paquet>&M
        Marque <paquet> comme ayant été installé automatiquement.

    <paquet>&m
        Marque <paquet> comme ayant été installé manuellement.

    Cas particulier, « install » sans autre argument résoudra les commandes en suspens ou différées.

    Note Une fois que vous avez appuyé sur Y à l'invite de confirmation finale, la commande « install » modifie les informations enregistrées sur les actions qu'aptitude doit réaliser. De ce fait, si vous lancez la commande « aptitude install toto titi » puis que vous arrêtiez l'installation alors qu'aptitude a déjà commencé à télécharger et installer des paquets, vous devrez lancer « aptitude remove toto titi » pour l'annuler.

remove, purge, hold, unhold, keep, reinstall
    These commands are the same as « install », but apply the named action to all packages given on the command line for which it is not overridden. The difference between hold and keep is that hold will cause a package to be ignored by future safe-upgrade or full-upgrade commands, while keep merely cancels any scheduled actions on the package. unhold will allow a package to be upgraded by future safe-upgrade or full-upgrade commands, without otherwise altering its state.

    Par exemple, « aptitude remove '~ndeity' » supprimera tous les paquets dont le nom contient « deity »).

markauto, unmarkauto
    Indique que les paquets ont été respectivement installés automatiquement, ou à la main. Vous pouvez choisir les paquets grâce à la syntaxe vue plus haut, et même indiquer les commandes à réaliser. Par exemple, « aptitude markauto '~slibs' » marquera tous les paquets de la section « libs » comme ayant été installés automatiquement.

    Pour plus d'informations sur les paquets installés automatiquement, consultez la section « Gérer les paquets automatiquement installés » dans le manuel de référence d'aptitude.

build-depends, build-dep
    Satisfy the build-dependencies of a package. Each package name may be a source package, in which case the build dependencies of that source package are installed; otherwise, binary packages are found in the same way as for the « install » command, and the build-dependencies of the source packages that build those binary packages are satisfied.

    If the command-line parameter --arch-only is present, only architecture-dependent build dependencies (i.e., not Build-Depends-Indep or Build-Conflicts-Indep) will be obeyed.

forbid-version
    Empêche la mise à jour vers une version précise d'un paquet. Cette option interdit à aptitude la mise à jour automatique vers cette version, mais permettra le passage aux versions suivantes. Par défaut, aptitude choisira la version vers laquelle ce paquet aurait normalement dû être mis à jour. Vous pouvez modifier ce choix en ajoutant « =<version> » au nom du paquet : par exemple, « aptitude forbid-version vim=1.2.3.broken-4 ».

    Cette commande est pratique pour éviter les versions boguées des paquets sans avoir à définir ou supprimer des gels à la main. Si vous décidez finalement d'installer la version que vous aviez interdite, la commande « install » mettra fin à l'interdiction.

update
    Met à jour la liste des paquets disponibles sur les serveurs maîtres. (C'est l'équivalent de « apt-get update »).

safe-upgrade
    Upgrades installed packages to their most recent version. Installed packages will not be removed unless they are unused (see the section « Managing Automatically Installed Packages » in the aptitude reference manual). Packages which are not currently installed may be installed to resolve dependencies unless the --no-new-installs command-line option is supplied.

    It is sometimes necessary to remove one package in order to upgrade another; this command is not able to upgrade packages in such situations. Use the full-upgrade command to upgrade as many packages as possible.

full-upgrade
    Upgrades installed packages to their most recent version, removing or installing packages as necessary. This command is less conservative than safe-upgrade and thus more likely to perform unwanted actions. However, it is capable of upgrading packages that safe-upgrade cannot upgrade.

    Note Cette commande s'appellait dist-upgrade pour des raisons historiques, aptitude la reconnait toujours. dist-upgrade est un synonyme de full-upgrade.

keep-all
    Annule toutes les actions prévues sur des paquets. Tout paquet dont l'état indique une action prévue d'installation, de suppression ou de mise à jour verra son état remis à zéro.

forget-new
    Ignore les « nouveaux » paquets (équivaut à presser « f » en mode interactif).

search
    Recherche les paquets qui correspondent à un ou plusieurs motifs donnés sur la ligne de commande. Tous les paquets correspondant aux expressions demandées seront affichés. Par exemple, « aptitude search '~N' edit » affichera tous les « nouveaux » paquets et ceux dont le nom contient « edit ». Les expressions de recherche sont expliquées en détail dans « Motifs de recherche » dans le manuel de référence d'aptitude.

    A moins d'avoir invoqué l'option -F, la sortie de la commande aptitude search ressemblera à quelque chose comme ceci :

        i   apt                             - Advanced front-end for dpkg
        pi  apt-build                       - frontend to apt to build, optimize and in
        cp  apt-file                        - APT package searching utility -- command-
        ihA raptor-utils                    - Raptor RDF Parser utilities
    Les résultats sont présentés ligne par ligne. Le premier caractère de chaque ligne indique l'état courant du paquet : les états les plus courants sont p qui signifie qu'aucune trace du paquet n'est présente sur le système, c qui signifie que le paquet à été supprimé mais que ses fichiers de configuration sont toujours présent sur le système, i qui signifie que le paquet est installé et v qui signifie que le paquet est virtuel. Le second caractère indique l'action prévue (s'il y en a une, un espace sinon) sur le paquet. Les actions les plus courantes sont : i pour les paquets sur le point à installer, d pour ceux à supprimer et p pour ceux à purger (c-à-d, à supprimer ainsi que ses fichiers de configuration). Si le dernier caractère est un A, le paquet a été installé automatiquement.

    For a complete list of the possible state and action flags, see the section « Accessing Package Information » in the aptitude reference guide. To customize the output of search, see the command-line options -F and --sort.

show
    Displays detailed information about one or more packages, listed following the search command. If a package name contains a tilde character (« ~ ») or a question mark (« ? »), it will be treated as a search pattern and all matching packages will be displayed (see the section « Search Patterns » in the aptitude reference manual).

    Si le niveau de verbosité est au moins 1 (c'est-à-dire que l'option -v est présente sur la ligne de commande), les informations sur toutes les versions du paquets sont affichées. Sinon, seules les informations sur la « version installable » sont affichées (la version qui serait téléchargée par « aptitude install »).

    Vous pouvez afficher les informations d'une version particulière d'un paquet en suffixant =<version> au nom du paquet ; vous pouvez également afficher les informations sur une version d'une archive particulière en suffixant /<archive> au nom du paquet. Si un des ces arguments est présent, seule la version demandée sera affichée, quelque soit le niveau de verbosité.

    Si le niveau de verbosité est au moins 1, les champs architecture, taille compressée, nom de fichier et somme md5 du paquet sont affichés. Si le niveau de verbosité est au moins 2, la ou les versions sélectionnées seront affichées une fois pour chacune des archives dans lesquelles elles sont trouvées.

add-user-tag, remove-user-tag
    Adds a user tag to or removes a user tag from the selected group of packages. If a package name contains a tilde (« ~ ») or question mark (« ? »), it is treated as a search pattern and the tag is added to or removed from all the packages that match the pattern (see the section « Search Patterns » in the aptitude reference manual).

    User tags are arbitrary strings associated with a package. They can be used with the ?user-tag(<tag>) search term, which will select all the packages that have a user tag matching <tag>.

why, why-not
    Explains the reason that a particular package should or cannot be installed on the system.

    Cette commande cherche les paquets qui dépendent ou sont en conflit avec ce paquet. Il affiche la suite de dépendances qui s'enchainent jusqu'au paquet visé, et une note indique l'état de chacun des paquets de la suite de dépendances.

        $ aptitude why kdepim
        i   nautilus-data Recommends nautilus
        i A nautilus      Recommends desktop-base (>= 0.2)
        i A desktop-base  Suggests   gnome | kde | xfce4 | wmaker
        p   kde           Depends    kdepim (>= 4:3.4.3)
    The command why finds a dependency chain that installs the package named on the command line, as above. Note that the dependency that aptitude produced in this case is only a suggestion. This is because no package currently installed on this computer depends on or recommends the kdepim package; if a stronger dependency were available, aptitude would have displayed it.

    A contrario, why-not cherche la chaîne de dépendances qui conduit au conflit avec le paquet ciblé.

        $ aptitude why-not textopo
        i   ocaml-core          Depends   ocamlweb
        i A ocamlweb            Depends   tetex-extra | texlive-latex-extra
        i A texlive-latex-extra Conflicts textopo
    If one or more <pattern>s are present, then aptitude will begin its search at these patterns; that is, the first package in the chain it prints will be a package matching the pattern in question. The patterns are considered to be package names unless they contain a tilde character (« ~ ») or a question mark (« ? »), in which case they are treated as search patterns (see the section « Search Patterns » in the aptitude reference manual).

    If no patterns are present, then aptitude will search for dependency chains beginning at manually installed packages. This effectively shows the packages that have caused or would cause a given package to be installed.

    Note aptitude why ne réalise par une recherche compléte de dépendances. Il n'affiche que les relations directes entre paquet. Par exemple, si A a besoin de B, que C a besoin de D, et que B et C sont en conflit, « aptitude why-not D » ne trouvera pas la réponse « A dépend de BB, B est en conflit avec C, et D dépend de C ». Aptitude n'affiche par défaut que les chaînes de dépendances « most installed, strongest, tightest, shortest ». Dans ce cas, il cherche une chaîne qui ne contient que les paquets qui sont installés ou qui seront installés. Il recherche les dépendances les plus fortes possibles dans ce cadre, et recherche les chaînes qui évitent les dépendances ORed et Provides, et il recherche la chaîne de dépendance la plus courte qui respecte ces contraintes. Ces régles sont appliquées de façon de moins en moins stricte jusqu'à ce qu'une correspondance soit trouvée.

    Si le niveau du mode verbeux est à 1 ou plus, alors toutes les explications qu'aptitude trouvera seront affichées, dans l'ordre de pertinence décroissante. Si le niveau de mode verbeux est de 2 ou plus, un trés important niveau d'information de débogage sera affiché sur la sortie standard.

    Cette commande renvoie un 0 si elle réussit, 1 si aucune explication n'a été trouvée, et -1 si une erreur apparaît.

clean
    Supprime tous les paquets .deb téléchargés et enregistrés dans le répertoire cache (normalement /var/cache/apt/archives).

autoclean
    Supprime tout paquet enregistré dans le cache et qui n'est plus proposé au téléchargement. Cela vous permet d'empêcher que le cache ne grossisse démesurément avec le temps, sans avoir à le vider complètement.

changelog
    Télécharge et affiche le journal des modifications pour chaque paquet source ou binaires.

    Par défaut, le journal correspondant à la version qui serait installé par « aptitude install » est téléchargé. Vous pouvez sélectionner une version particulière d'un paquet en suffixant =<version> au nom du paquet ; vous pouvez également sélectionner la version d'une archive particulière en suffixant /<archive> au nom du paquet.

download
    Downloads the .deb file for the given package to the current directory. If a package name contains a tilde character (« ~ ») or a question mark (« ? »), it will be treated as a search pattern and all the matching packages will be downloaded (see the section « Search Patterns » in the aptitude reference manual).

    Par défaut, le fichier correspondant à la version qui serait installé par « aptitude install » est téléchargé. Vous pouvez sélectionner une version particulière d'un paquet en suffixant =<version> au nom du paquet ; vous pouvez également sélectionner la version d'une archive particulière en suffixant /<archive> au nom du paquet.

extract-cache-subset
    Copy the apt configuration directory (/etc/apt) and a subset of the package database to the specified directory. If no packages are listed, the entire package database is copied; otherwise only the entries corresponding to the named packages are copied. Each package name may be a search pattern, and all the packages matching that pattern will be selected (see the section « Search Patterns » in the aptitude reference manual). Any existing package database files in the output directory will be overwritten.

    Dependencies in binary package stanzas will be rewritten to remove references to packages not in the selected set.

help
    Affiche un bref résumé des commandes et options disponibles.

OPTIONS

Les options qui suivent peuvent être utilisées afin de modifier le comportement des commandes ci-dessus. Remarquez que les commandes ne vont pas toutes réagir à chaque option (en effet, certaines options n'ont aucun sens pour certaines commandes).

--add-user-tag <tag>
    For full-upgrade, safe-upgrade, forbid-version, hold, install, keep-all, markauto, unmarkauto, purge, reinstall, remove, unhold, and unmarkauto: add the user tag <tag> to all packages that are installed, removed, or upgraded by this command as if with the add-user-tag command.

--add-user-tag-to <tag>,<pattern>
    For full-upgrade, safe-upgrade forbid-version, hold, install, keep-all, markauto, unmarkauto, purge, reinstall, remove, unhold, and unmarkauto: add the user tag <tag> to all packages that match <pattern> as if with the add-user-tag command. The pattern is a search pattern as described in the section « Search Patterns » in the aptitude reference manual.

    For instance, aptitude safe-upgrade --add-user-tag-to "new-installs,?action(install)" will add the tag new-installs to all the packages installed by the safe-upgrade command.

--allow-new-upgrades
    When the safe resolver is being used (i.e., --safe-resolver was passed or Aptitude::Always-Use-Safe-Resolver is set to true), allow the dependency resolver to install upgrades for packages regardless of the value of Aptitude::Safe-Resolver::No-New-Upgrades.

--allow-new-installs
    Allow the safe-upgrade command to install new packages; when the safe resolver is being used (i.e., --safe-resolver was passed or Aptitude::Always-Use-Safe-Resolver is set to true), allow the dependency resolver to install new packages. This option takes effect regardless of the value of Aptitude::Safe-Resolver::No-New-Installs.

--allow-untrusted
    Install packages from untrusted sources without prompting. You should only use this if you know what you are doing, as it could easily compromise your system's security.

--disable-columns
    This option causes aptitude search to output its results without any special formatting. In particular: normally aptitude will add whitespace or truncate search results in an attempt to fit its results into vertical « columns ». With this flag, each line will be formed by replacing any format escapes in the format string with the correponding text; column widths will be ignored.

    For instance, the first few lines of output from « aptitude search -F '%p %V' --disable-columns libedataserver » might be:

        disksearch 1.2.1-3
        hp-search-mac 0.1.3
        libbsearch-ruby 1.5-5
        libbsearch-ruby1.8 1.5-5
        libclass-dbi-abstractsearch-perl 0.07-2
        libdbix-fulltextsearch-perl 0.73-10
    As in the above example, --disable-columns is often useful in combination with a custom display format set using the command-line option -F.

    This corresponds to the configuration option Aptitude::CmdLine::Disable-Columns.

-D, --show-deps
    For commands that will install or remove packages (install, full-upgrade, etc), show brief explanations of automatic installations and removals.

    Directive du fichier de configuration : Aptitude::CmdLine::Show-Deps.

-d, --download-only
    N'installe ni ne supprime aucun paquet. Télécharge simplement les paquets nécessaires dans le cache.

    Directive du fichier de configuration : Aptitude::CmdLine::Download-Only.

-F <format>, --display-format <format>
    Définit le format qui sera utilisé pour afficher les résultats de la commande search. Par exemple, « %p %V %v » affichera le nom du paquet, suivi du numéro de la version installée, ainsi que les versions disponibles. Pour plus d'informations, consultez la section « Personnaliser la manière d'afficher les paquets » dans le manuel de référence d'aptitude.

    The command-line option --disable-columns is often useful in combination with -F.

    Directive du fichier de configuration : Aptitude::CmdLine::Package-Display-Format.

-f
    Essaye témérairement de résoudre les dépendances des paquets cassés, même si cela implique d'ignorer des actions demandées sur la ligne de commande.

    Directive du fichier de configuration : Aptitude::CmdLine::Fix-Broken.

--full-resolver
    When package dependency problems are encountered, use the default « full » resolver to solve them. Unlike the « safe » resolver activated by --safe-resolver, the full resolver will happily remove packages to fulfill dependencies. It can resolve more situations than the safe algorithm, but its solutions are more likely to be undesirable.

    This option can be used to force the use of the full resolver even when Aptitude::Always-Use-Safe-Resolver is true. The safe-upgrade command never uses the full resolver and does not accept the --full-resolver option.

-h, --help
    Affiche un court message d'aide. Identique à l'action help.

--no-new-installs
    Prevent safe-upgrade from installing any new packages; when the safe resolver is being used (i.e., --safe-resolver was passed or Aptitude::Always-Use-Safe-Resolver is set to true), forbid the dependency resolver from installing new packages. This option takes effect regardless of the value of Aptitude::Safe-Resolver::No-New-Installs.

    This mimics the historical behavior of apt-get upgrade.

    This corresponds to the configuration option Aptitude::CmdLine::Safe-Upgrade::No-New-Installs.

--no-new-upgrades
    When the safe resolver is being used (i.e., --safe-resolver was passed or Aptitude::Always-Use-Safe-Resolver is set to true), allow the dependency resolver to install new packages regardless of the value of Aptitude::Safe-Resolver::No-New-Installs.

-O <ordre>, --sort <ordre>
    Specify the order in which output from the search command should be displayed. For instance, passing « installsize » for <order> will list packages in order according to their size when installed (see the section « Customizing how packages are sorted » in the aptitude reference manual for more information).

-o <clef>=<valeur>
    Définit une option du fichier de configuration à la volée. Utilisez par exemple -o Aptitude::Log=/tmp/mes-logs afin de consigner (logs) les événements d'aptitude dans le fichier /tmp/mes-logs. Pour plus d'informations sur les options du fichier de configuration, consultez le chapitre « Référence du fichier de configuration » dans le manuel de référence d'aptitude.

-P, --prompt
    Always display a prompt before downloading, installing or removing packages, even when no actions other than those explicitly requested will be performed.

    Directive du fichier de configuration : Aptitude::CmdLine::Always-Prompt.

--purge-unused
    Purge les paquets dont aucun autre paquet installé ne dépend. Cela revient à mettre le paramètre « -o Aptitude::Purge-Unused=true » sur la ligne de commande.

-q[=<n>], --quiet[=<n>]
    Enlève tous les indicateurs d'avancement et rend ainsi la sortie journalisable. Cette option peut être passée plusieurs fois pour rendre le programme de plus en plus silencieux, mais contrairement à apt-get, aptitude n'ajoute pas implicitement -y quand -q est passée plus d'une fois.

    Le paramètre optionnel =<n> peut être utilisé pour configurer directement le taux de silence (par exemple, pour surcharger un paramétrage dans /etc/apt/apt.conf) ; le programme agit alors comme si -q lui avait été passée exactement <n> fois.

-R, --without-recommends
    Ne gère pas les recommandations de dépendances lors de l'installation de nouveaux paquets (prioritaire sur les réglages de /etc/apt/apt.conf and ~/.aptitude/config). Les paquets installés précédemment pour ces même raisons de recommandation ne seront pas supprimés.

    This corresponds to the pair of configuration options Apt::Install-Recommends and Aptitude::Keep-Recommends.

-r, --with-recommends
    Traite les suggestions ou les recommandations en tant que dépendances lors de l'installation des nouveaux paquets. (Prioritaire sur les réglages de /etc/apt.conf et ~/.aptitude/config).

    This corresponds to the configuration option Apt::Install-Recommends

--remove-user-tag <tag>
    For full-upgrade, safe-upgrade forbid-version, hold, install, keep-all, markauto, unmarkauto, purge, reinstall, remove, unhold, and unmarkauto: remove the user tag <tag> from all packages that are installed, removed, or upgraded by this command as if with the add-user-tag command.

--remove-user-tag-from <tag>,<pattern>
    For full-upgrade, safe-upgrade forbid-version, hold, install, keep-all, markauto, unmarkauto, purge, reinstall, remove, unhold, and unmarkauto: remove the user tag <tag> from all packages that match <pattern> as if with the remove-user-tag command. The pattern is a search pattern as described in the section « Search Patterns » in the aptitude reference manual.

    For instance, aptitude safe-upgrade --remove-user-tag-from "not-upgraded,?action(upgrade)" will remove the not-upgraded tag from all packages that the safe-upgrade command is able to upgrade.

-s, --simulate
    En mode ligne de commande, affiche la liste des actions qui seraient réalisées, mais ne les lance pas réellement. Il n'est pas nécessaire d'avoir les privilèges d'administration. Dans l'interface visuelle, ouvre toujours le cache en mode lecture seule que vous soyez administrateur ou non.

    Directive du fichier de configuration : Aptitude::Simulate.

--safe-resolver
    When package dependency problems are encountered, use a « safe » algorithm to solve them. This resolver attempts to preserve as many of your choices as possible; it will never remove a package or install a version of a package other than the package's default candidate version. It is the same algorithm used in safe-upgrade; indeed, aptitude --safe-resolver full-upgrade is equivalent to aptitude safe-upgrade. Because safe-upgrade always uses the safe resolver, it does not accept the --safe-resolver flag.

    This option is equivalent to setting the configuration variable Aptitude::Always-Use-Safe-Resolver to true.

--schedule-only
    Pour les commandes qui modifient l'état des paquets, programme les actions à faire pour plus tard, mais ne les fait pas. Vous pouvez exécuter les actions programmées en lançant aptitude install sans paramètre. Cela revient à faire la sélection correspondante en mode visuel, puis à quitter aptitude normalement.

    Par exemple, aptitude --schedule-only install evolution va programmer l'installation future du paquet evolution.

-t <version>, --target-release <version>
    Définit la version à partir de laquelle les paquets devront être installés. Par exemple, « aptitude -t expérimental ... » installera les paquets de la distribution expérimentale, si rien d'autre n'est précisé. Pour les actions de la ligne de commandes « changelog », « download » et « show », cela revient à suffixer /<version> au nom de chaque paquet cité sur la ligne de commandes. Pour les autres commandes, cela modifiera la version installée par défaut selon les règles décrites dans apt_preferences(5).

    Directive du fichier de configuration : APT::Default-Release.

-V, --show-versions
    Indique quelle version du paquet sera installée.

    Directive du fichier de configuration : Aptitude::CmdLine::Show-Versions.

-v, --verbose
    Force quelques commandes (show par exemple) à afficher des informations supplémentaires. Peut être invoqué plusieurs fois afin d'obtenir des informations de plus en plus complètes.

    Directive du fichier de configuration : Aptitude::CmdLine::Verbose.

--version
    Affiche la version et quelques informations sur l'environnement de compilation d'aptitude.

--visual-preview
    Lance l'interface visuelle et affiche l'écran d'accueil, plutôt que d'afficher l'habituelle invite de commande en ligne.

-W, --show-why
    In the preview displayed before packages are installed or removed, show which manually installed package requires each automatically installed package. For instance:

        $ aptitude --show-why install mediawiki
        ...
        The following NEW packages will be installed:
          libapache2-mod-php5{a} (for mediawiki)  mediawiki  php5{a} (for mediawiki)
          php5-cli{a} (for mediawiki)  php5-common{a} (for mediawiki)
          php5-mysql{a} (for mediawiki)

    When combined with -v or a non-zero value for Aptitude::CmdLine::Verbose, this displays the entire chain of dependencies that lead each package to be installed. For instance:

        $ aptitude -v --show-why install libdb4.2-dev
        The following NEW packages will be installed:
          libdb4.2{a} (libdb4.2-dev D: libdb4.2)  libdb4.2-dev
        The following packages will be REMOVED:
          libdb4.4-dev{a} (libdb4.2-dev C: libdb-dev P<- libdb-dev)

    This option will also describe why packages are being removed, as shown above. In this example, libdb4.2-dev conflicts with libdb-dev, which is provided by libdb-dev.

    This argument corresponds to the configuration option Aptitude::CmdLine::Show-Why and displays the same information that is computed by aptitude why and aptitude why-not.

-w <largeur>, --width <largeur>
    Définit la largeur utilisée pour l'affichage du résultat de la commande search. (Par défaut, c'est la largeur du terminal).

    Directive du fichier de configuration : Aptitude::CmdLine::Package-Display-Width

-y, --assume-yes
    Répond « oui » à toute question de type oui/non. En fait, cette option supprime l'invite (le prompt) qui apparaît quand on installe, met à jour ou supprime des paquets. N'affecte pas les réponses aux questions particulièrement dangereuses, telles que la suppression des paquets essentiels. A priorité sur -P.

    Directive du fichier de configuration : Aptitude::CmdLine::Assume-Yes.

-Z
    Affiche l'espace disque qui sera utilisé ou libéré par chacun des paquets à installer, mettre à jour ou supprimer.

    Directive du fichier de configuration : Aptitude::CmdLine::Show-Size-Changes.

Les options suivantes s'appliquent au mode visuel du programme. Toutefois, elles ne sont utilisées qu'en interne. Normalement, vous n'en aurez pas besoin.

-i
    Affiche l'écran de téléchargement au démarrage du programme (équivalent au lancement du programme, puis à l'appui sur « g »). On ne peut pas se servir en même temps de cette option et de -u.

-S <nom-fichier>
    Charge les informations supplémentaires à partir de <nom-fichier> plutôt qu'à partir du fichier standard.

-u
    Lance la mise à jour de la liste des paquets dès le démarrage du programme. On ne peut pas se servir en même temps de cette option et de -i.

VARIABLES D'ENVIRONNEMENT

HOME
    Si $HOME/.aptitude existe, aptitude stockera son fichier de configuration dans $HOME/.aptitude/config. Sinon, il recherchera le répertoire personnel de l'utilisateur courant, grâce à getpwuid(2) pour y placer son fichier de configuration.

PAGER
    Quand cette variable d'environnement est paramétrée, aptitude l'utilisera pour afficher les journaux de modification à l'invocation de « aptitude changelog ». La valeur par défaut est more.

TMP
    Quand TMPDIR n'est pas paramétrée, aptitude stockera ses fichiers temporaires dans TMP si cette dernière variable est paramétrée. Sinon, il les stockera dans /tmp.

TMPDIR
    aptitude stockera ses fichiers temporaires dans le répertoire spécifié par cette variable d'environnement. Si TMPDIR n'est pas paramétrée, alors TMP est utilisée. Si cette dernière ne l'est pas non plus, alors aptitude utilise /tmp.

FILES

/var/lib/aptitude/pkgstates
    The file in which stored package states and some package flags are stored.

/etc/apt/apt.conf, /etc/apt/apt.conf.d/*, ~/.aptitude/config
    The configuration files for aptitude. ~/.aptitude/config overrides /etc/apt/apt.conf. See apt.conf(5) for documentation of the format and contents of these files.

VOIR AUSSI

apt-get(8), apt(8), /usr/share/doc/aptitude/html/<lang>/index.html du paquet aptitude-doc-<lang>

AUTEUR

Daniel Burrows <dburrows@debian.org>

    Auteur.

COPYRIGHT

Copyright 2004-2008 Daniel Burrows.

This manual page is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This manual page is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

AUTEUR
Daniel Burrows.

TRADUCTEURS
Cette page de man a été originellement traduite par Martin Quinson <martin.quison@ens-lyon.fr>. Les mises à jour sont de Sylvain Cherrier <sylvain.cherrier@free.fr> jusqu'en 2004. Cette page est depuis maintenue par Olivier Trichet <nive@freesurf.fr>.